package com.njcn.process.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.process.pojo.param.SupvPlanHisParam;
import com.njcn.process.pojo.po.SupvPlanHis;

import java.util.List;

/**
 * <p>
 * 监督工作计划变更历史数据表 服务类
 * </p>
 *
 * @author wr
 * @since 2023-09-01
 */
public interface ISupvPlanHisService extends IService<SupvPlanHis> {


    boolean addPlanHis(SupvPlanHisParam.insert supvPlanHis);

    boolean updatePlanHis(SupvPlanHisParam.update supvPlanHis);

    boolean delPlanHis(List<String> planIds);

    Page<SupvPlanHis> pagePlanHis(SupvPlanHisParam supvPlanParam);
}
